package hw.tagApi.service.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.List;

/**
 * API请求对象
 *
 * @author Yinq
 * @date 2025-04-15
 */
public class ApiRequest {
    
    /** 功能代码 */
    @JsonProperty("CASE")
    private String CASE;
    
    /** 请求内容 */
    @JsonProperty("CONTENT")
    private List<ApiContent> CONTENT;

    public String getCASE() {
        return CASE;
    }

    public void setCASE(String CASE) {
        this.CASE = CASE;
    }

    public List<ApiContent> getCONTENT() {
        return CONTENT;
    }

    public void setCONTENT(List<ApiContent> CONTENT) {
        this.CONTENT = CONTENT;
    }

    @Override
    public String toString() {
        return "ApiRequest{" +
                "CASE='" + CASE + '\'' +
                ", CONTENT=" + CONTENT +
                '}';
    }
} 